Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## info.bioinfweb.treegraph.graphics.positionpaint
Enum PositionPaintType

    java.lang.Object
      java.lang.Enum<PositionPaintType>
          info.bioinfweb.treegraph.graphics.positionpaint.PositionPaintType

All Implemented Interfaces:
  Serializable, Comparable<PositionPaintType>

    public enum PositionPaintType

extends Enum<PositionPaintType>

Enum Constant Summary
`PHYLOGRAM`
`RECT_CLAD`

Method Summary
`static PositionPaintType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PositionPaintType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RECT_CLAD

    public static final PositionPaintType RECT_CLAD

### PHYLOGRAM

    public static final PositionPaintType PHYLOGRAM

Method Detail

### values

    public static PositionPaintType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PositionPaintType c : PositionPaintType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PositionPaintType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD